#ifndef __LICENSE_CLIENT_H_
#define __LICENSE_CLIENT_H_

#include "license-base.h"

/* generate a feedback string in client */
int license_gen_feedback(char *feedback, int *length, int fbtype);

int license_gen_feedback_v2(char *feedback, int *length, int fbtype, int product_id);

/* verify a license file from hardisk or ukey */
int license_verify(char *license_file_name, cs2c_license_control_info *control_info, int *pnum, cs2c_license_feedback *fb);
int license_verify_v2(char *license_file_name, cs2c_license_control_info *control_info, int *pnum, cs2c_license_feedback *fb, int target_pid, int *mtflag);

/* install a license to hardisk or ukey */
int license_install(char *license_file_name,int pid);
int license_install_v2(char *license_file_name,int pid, int target_pid, int *mtflag);

/* get control info form a license file or ukey */
//int license_get_control_info(cs2c_license_control_info *control_info);

/* get if license is expired 0 is not expired ,1 is expired */
int license_get_ifexpired(char *license_file_name,int pid, int *expired);

/* get the version of license lib */
int license_get_lib_version(char *v, int *vlen);


#endif
